//! Cli interface.

use clap::Parser;

/// Implementation of a koreader-sync server.
#[derive(Parser, Debug, Clone)]
#[command(version, about, long_about = None)]
pub struct Config {
    /// Address to listen on
    #[arg(short, long, env, default_value = "localhost:3030")]
    pub address: String,

    /// From which file to read the database connection string ("-" for stdin)
    #[arg(short, long, env, default_value = "-")]
    pub db_connection: String,

    /// Whether new users can register.
    #[arg(short = 'r', long, env, default_value = "false")]
    pub allow_registration: bool,
}
